routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','frontController@index');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('verifyEmailFirst','Auth\RegisterController@verifyEmailFirst')->name('verifyEmailFirst');

Route::get('verify/{email}/{verifyToken}','Auth\RegisterController@sendEmailDone')->name('sendEmailDone');
Route::get('home/users/{id}/edit','userController@edit')->name('showUser');
Route::resource('home/users','userController');
Route::get('home/users/profile/{id}','userController@show')->name('showProfile');
Route::get('home/moderations/users','app\userController@moderation')->name('moderations');
Route::get('home/register/users','app\userController@register')->name('create');
Route::get('home/verifications/users','app\userController@verification')->name('verifications');
Route::PUT('home/moderation/{id}','app\userController@endModerate')->name('endModerate');
Route::get('home/moderation/uploadfile/{id}','app\userController@docsUpdate')->name('docsUpdate');
Route::PUT('home/moderation/uploadfile/{id}','app\userController@docsStore')->name('docsStore');

Route::get('home/users/profile/workexperience/{id}','app\userController@workExperiencesEdit')->name('workExperienceEdit');
Route::PUT('home/users/profile/workexperience/{id}','app\userController@workExperiencesPublic')->name('workExperiencePublic');
//Horarios de trabajo Sanatorio
Route::get('home/users/profile/horario/sanatorio/{id}','app\userController@horariosSanatorios')->name('horariosSanatorios');
Route::PUT('home/users/profile/horario/sanatorio/{id}','app\userController@horariosSanatoriosUpdate')->name('horariosSanatoriosUpdate');
//Horaio de trabajo Hospital
Route::get('home/users/profile/horario/hospital/{id}','app\userController@horariosHospitales')->name('horariosHospital');
Route::PUT('home/users/profile/horario/hospital/{id}','app\userController@horariosHospitalesUpdate')->name('horariosHospitalUpdate');
#Horario de trabajo en Domicilio
Route::get('home/users/profile/horario/domicilio/{id}','app\userController@horariosDomicilios')->name('horariosDomicilio');
Route::PUT('home/users/profile/horario/domicilio/{id}','app\userController@horariosDomiciliosUpdate')->name('horariosDomicilioUpdate');
// Redirect the user to the provider authentication page
Route::get('auth/facebook', 'Auth\SocialAuthController@redirectToProvider')->name('social.auth');
Route::get('auth/facebook/callback', 'Auth\SocialAuthController@handleProviderCallback');
#
#Routas para el costo de los servicios
Route::resource('/home/contabilidad/costo','costoController'); 
#
#Routes para Manejo de las tasas de cambios
Route::resource('/home/contabilidad/tasadecambio','tasaCambioController');
#Route para el manejo de las membresias
Route::resource('/home/productos/membresia','membresiaController');
#Ruta para manejo de Servicios
Route::resource('/home/productos/servicios','serviciosController');
#Route para manejo de los costos de las membresias
Route::resource('/home/contabilidad/costoMembresia','membresiaCostoController');
#Routes para las contrataciones de servicios
Route::resource('/home/contrato','contratosController');
#
#Contrat de Membresias
Route::resource('/home/productos/contrato/membresias','membresiaContratoController');
#
Route::resource('/home/invoice','facturaController');
#
#Routes para los pagos MercadoPago y PayPal
Route::post('/home/invoice/payout','payController@pagosMercadoPago')->name('recibirPagos');




#seecion de desarrollo para atencion al cliente
Route::get('/home/atencion_al_cliente/membresias','app\atencionCliente@membresiaVentasIndex')->name('ventaMembresia');
Route::get('/home/atencion_al_cliente/ventas/membresias','app\atencionCliente@membresiaVentasShow')->name('ventaMembresiaUsuario');
Route::GET('/home/atencion_al_cliente/ventas/membresias/usuario_registrado/','app\atencionCliente@membresiaVentasPais')->name('ventaMembresiaPais');

// Seccion de contabilidad para atencion al cliente
Route::get('/home/contabilidad/atencion_al_cliente/membresias/{id}/vendedor','app\atencionCliente@resumenVentas')->name('resumenVentas');

//SEccion de Comisiones
Route::get('/home/comisiones','app\comisionesController@mostrarComisiones')->name('comisiones.show');
Route::get('/home/comisiones/call_center','app\comisionesController@mostrarComisionesCallCenter')->name('comisionesCall.show');
Route::get('/home/comisiones/referidos','app\comisionesController@mostrarComisionesReferidos')->name('comisionesReferidos.show');

resources/views/dashboard/contabilidad/costoDomicilio.blade.php
@extends('Templates.Dashboard.table')
@section('body')
<div class="card">
<div class="card-header">
<h5>Costo de servicios en Domicilio según pais</h5>
</div>
<div class="card-block">
<div class="dt-responsive table-responsive">
<table id="simpletable" class="table table-striped table-bordered nowrap">
<thead>
<tr>
<th>#</th>
<th>Pais</th>
<th>Costo del Servicio en Dolares</th>
<th>Tasa de Cambio según Pais</th>
<th>Costo de Servicio en Modena Local</th>
<th></th>
</tr>
</thead>
<?php 
$id = 0;
 ?>
<tbody>
@foreach($costo as $costo)

<tr>
<td>{{$id= $id+1}}</td>
<td>{{$costo->idPais}} </td>
<td>{{$costo->costoDolar}} USD</td>
<td>{{$costo->tasaCambio}} {{$costo->monedaLocal}}</td>
<td>{{round($costo->tasaCambio * $costo->costoDolar)}} {{$costo->monedaLocal}}</td>
<td>
	<a href="{{route('costo.edit',['costo'=>$costo->id])}}" class="text-info">Editar</a> | <a class="text-danger" href="{{ route('costo.destroy',['costo'=>$costo->id]) }}"
 	onclick="event.preventDefault();
 		document.getElementById('delete').submit();">
Eliminar
</a>
<form id="delete" action="{{ route('costo.destroy',['costo'=>$costo->id]) }}" method="POST" enctype="multipart/form-data" style="display: none;">
	{{ method_field('DELETE')}}
  	{{ csrf_field() 
</form>
</td>
</tr>

@endforeach
</tbody>
<tfoot>
<tr>
<th>#</th>
<th>Pais</th>
<th>Costo del Servicio en Dolares</th>
<th>Tasa de Cambio según Pais</th>
<th>Costo de Servicio en Modena Local</th>
<th></th>
</tr>
</tfoot>
</table>
</div>
</div>
</div>
@stop

resources/views/dashboard/contabilidad/costoHospital.blade.php
@extends('Templates.Dashboard.table')
@section('body')
<div class="card">
<div class="card-header">
<h5>Costo de servicios en Hospitales según pais</h5>
</div>
<div class="card-block">
<div class="dt-responsive table-responsive">
<table id="simpletable" class="table table-striped table-bordered nowrap">
<thead>
<tr>
<th>#</th>
<th>Pais</th>
<th>Costo del Servicio en Dolares</th>
<th>Tasa de Cambio según Pais</th>
<th>Costo de Servicio en Modena Local</th>
<th></th>
</tr>
</thead>
<?php 
$id = 0;
 ?>
<tbody>
@foreach($costo as $costo)

<tr>
<td>{{$id= $id+1}}</td>
<td>{{$costo->idPais}} </td>
<td>{{$costo->costoDolar}} USD</td>
<td>{{$costo->tasaCambio}} {{$costo->monedaLocal}}</td>
<td>{{round($costo->tasaCambio * $costo->costoDolar)}} {{$costo->monedaLocal}}</td>
<td></td>
</tr>

@endforeach
</tbody>
<tfoot>
<tr>
<th>#</th>
<th>Pais</th>
<th>Costo del Servicio en Dolares</th>
<th>Tasa de Cambio según Pais</th>
<th>Costo de Servicio en Modena Local</th>
<th></th>
</tr>
</tfoot>
</table>
</div>
</div>
</div>
@stop

resources/views/dashboard/contabilidad/costoSanatorio.blade.php
@extends('Templates.Dashboard.table')
@section('body')
<div class="card">
<div class="card-header">
<h5>Costo de servicios en Sanatorios según pais</h5>
</div>
<div class="card-block">
<div class="dt-responsive table-responsive">
<table id="simpletable" class="table table-striped table-bordered nowrap">
<thead>
<tr>
<th>#</th>
<th>Pais</th>
<th>Costo del Servicio en Dolares</th>
<th>Tasa de Cambio según Pais</th>
<th>Costo de Servicio en Modena Local</th>
<th></th>
</tr>
</thead>
<?php 
$id = 0;
 ?>
<tbody>
@foreach($costo as $costo)

<tr>
<td>{{$id= $id+1}}</td>
<td>{{$costo->idPais}} </td>
<td>{{$costo->costoDolar}} USD</td>
<td>{{$costo->tasaCambio}} {{$costo->monedaLocal}}</td>
<td>{{round($costo->tasaCambio * $costo->costoDolar)}} {{$costo->monedaLocal}}</td>
<td></td>
</tr>

@endforeach
</tbody>
<tfoot>
<tr>
<th>#</th>
<th>Pais</th>
<th>Costo del Servicio en Dolares</th>
<th>Tasa de Cambio según Pais</th>
<th>Costo de Servicio en Modena Local</th>
<th></th>
</tr>
</tfoot>
</table>
</div>
</div>
</div>
@stop

resources/views/dashboard/contabilidad/crearCostos.blade.php
@extends('Templates.Dashboard.users')
@section('body')
<?php 
$pais1=$pais; 
$pais2=$pais; 
?>
<div class="card">
<div class="card-header">
<h5>Crear Costo de Servicios</h5>
<span>Crear costos de Servicio según país y tipo</span>
</div>
<div class="card-block">
<div class="row">
<div class="col-md-12">
<div id="wizard">
<section>
<form class="wizard-form" id="example-advanced-form" method="POST" action="{{route('costo.store')}}" enctype="multipart/form-data">
{{ csrf_field() }}
<h3>Costos de Servicio</h3>
<fieldset>

<div class="form-group">
<div class="row">	
<div class="col-md-4 col-lg-1">
<label for="CountryW-2" class="block">Servicio</label>
</div>
<div class="col-md-8 col-lg-5">
<select class="form-control required" id="" name="servicio">
	<option value="">-- Seleccione un Servicio --</option>
    <option value="1">Sanatorio</option>
    <option value="2">Hospital</option>
    <option value="3">Domicilio</option>
</select>
</div>
<div class="col-md-4 col-lg-1">
<label for="CountryW-2" class="block">Pais</label>
</div>
<div class="col-md-8 col-lg-5">
<select class="form-control required" id="selectPais" name="idPais">
	<option value="">-- Seleccione un Pais --</option>
	@foreach($pais as $pais)
    <option value="{{$pais->PaisCodigo}}">{{$pais->PaisNombre}}</option>
    @endforeach
</select>
</div>
</div>
</div>
<div class="form-group row">
<div class="col-md-4 col-lg-3">
<label for="Position-2" class="block">Costo de Servicio en Dolares</label>
</div>
<div class="col-md-8 col-lg-9">
<div class="input-group">
<input id="" name="costoDolar" type="text" class="form-control required">
<span class="input-group-addon" id="basic-addon3">$</span>
</div>
</div>
</div>
<div class="form-group">
<div class="row">
<div class="col-md-4 col-lg-2">
<label for="date" class="block">Tasa de Cambio</label>
</div>
<div class="col-md-8 col-lg-4">
<div class="input-group">
<input id="" name="tasaCambio" type="text" class="form-control date-control required">
<span class="input-group-addon" id="basic-addon3">$</span>
</div>
</div>
<div class="col-md-4 col-lg-2">
<label for="date" class="block">Moneda local</label>
</div>
<div class="col-md-8 col-lg-4">

<input placeholder="Ex: VED, ARS" id="" name="monedaLocal" type="text" class="form-control date-control required">


</div>
</div>
</div>
</fieldset>
</form>
</section>
</div>
</div>
</div>
</div>
</div>

@stop